# Get machine chaos infrastructure version details

Get machine chaos infrastructure version details

Endpoint: GET /gateway/chaos/manager/api/rest/machine/infra/version
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `infraType` (string, required)
    type of chaos infrastructure, e.g. CloudFoundry, Windows, Linux, Container

## Request fields (application/json):

  - `infraType` (string)
    InfraType of the infra
    Enum: "CloudFoundry", "Windows", "Linux", "Container"

## Response 200 fields (application/json):

  - `compatibleVersions` (array)
    List of all infra versions supported

  - `latestVersion` (string)
    Latest infra version supported

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


